Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.intel.cosbench.api.auth
Class NoneAuth

    java.lang.Object
      com.intel.cosbench.api.auth.NoneAuth

All Implemented Interfaces:
  AuthAPI

Direct Known Subclasses:
  KeystoneAuth, SwiftAuth

    public class NoneAuth

extends java.lang.Object
implements AuthAPI

This class encapsulates one none authentication mechanism which is used if no any other authentication mechanism is assigned.

Author:
  ywang19

Field Summary
`static java.lang.String` | `API_TYPE`

Constructor Summary
`NoneAuth()`

Method Summary
`void` | `dispose()` clean up Auth API.
`Context` | `getParms()` retrieve parameters and current settings used by the AuthAPI.
`void` | `init(Config config, Logger logger)` initialize Auth API with parameters contained in config, the parameter list depends on auth type.
`AuthContext` | `login()` trigger backend authentication mechanism.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### API_TYPE

    public static final java.lang.String API_TYPE

See Also:
  Constant Field Values

Constructor Detail

### NoneAuth

    public NoneAuth()

Method Detail

### init

    public void init(Config config,
                     Logger logger)

  Description copied from interface: `AuthAPI`
  initialize Auth API with parameters contained in config, the parameter list depends on auth type.

  Specified by:
    `init` in interface `AuthAPI`
  Parameters:
    `config` - - one instance from “com.intel.cosbench.config.Config” class, which includes parameters for authentication.
    `logger` - - one instance from “com.intel.cosbench.log.Logger” class, which delivers logging capabilities to Auth API.

### dispose

    public void dispose()

  Description copied from interface: `AuthAPI`
  clean up Auth API.

  Specified by:
    `dispose` in interface `AuthAPI`

### login

    public AuthContext login()

  Description copied from interface: `AuthAPI`
  trigger backend authentication mechanism.

  Specified by:
    `login` in interface `AuthAPI`
  Returns:
    AuthContext - one AuthContext instance which contains information which can attest if authentication is passed or not.

### getParms

    public Context getParms()

  Description copied from interface: `AuthAPI`
  retrieve parameters and current settings used by the AuthAPI.

  Specified by:
    `getParms` in interface `AuthAPI`
  Returns:
    Context - one Context instance which contains all parameters configured for the authentication mechanism.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD